## org.apache.mahout.ga.watchmaker.travellingsalesman
Class EuropeanDistanceLookup

    java.lang.Object
      org.apache.mahout.ga.watchmaker.travellingsalesman.EuropeanDistanceLookup

All Implemented Interfaces:
  DistanceLookup

    public final class EuropeanDistanceLookup

extends Object
implements DistanceLookup

This class contains data about cities in Europe and the distances between them.
The original code is from the Watchmaker project (https://watchmaker.dev.java.net/).

Constructor Summary
`EuropeanDistanceLookup()`

Method Summary
`int` `getDistance(String startingCity, String destinationCity)` Looks-up the distance between two cities.
`List<String>` `getKnownCities()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuropeanDistanceLookup

    public EuropeanDistanceLookup()

Method Detail

### getKnownCities

    public List<String> getKnownCities()

  Specified by:
    `getKnownCities` in interface `DistanceLookup`
  Returns:
    The list of cities that this object knows about.

### getDistance

    public int getDistance(String startingCity,
                           String destinationCity)

  Description copied from interface: `DistanceLookup`
  Looks-up the distance between two cities.

  Specified by:
    `getDistance` in interface `DistanceLookup`
  Parameters:
    `startingCity` - The city to start from.
    `destinationCity` - The city to end in.
  Returns:
    The distance (in kilometres) between the two cities.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.